#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%define		pdir	PadWalker
Summary:	PadWalker - play with other peoples' lexical variables
Summary(pl.UTF-8):	PadWalker - igranie z cudzymi zmiennymi leksykalnymi
Name:		perl-PadWalker
Version:	2.5
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	f3f1e06c0385aab80353176a414f02b2
URL:		https://metacpan.org/release/PadWalker
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PadWalker is a Perl module which allows you to inspect (and even
change!) lexical variables in any subroutine which called you. It will
only show those variables which are in scope at the point of the call.

%description -l pl.UTF-8
PadWalker jest modułem Perla umożliwiającym przeglądanie (a nawet
modyfikacje!) zmiennych leksykalnych w dowolnej wywołanej funkcji.
Pokazuje on tylko te zmienne, których zasięg obejmuje miejsce
wywołania.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/PadWalker.pm
%dir %{perl_vendorarch}/auto/PadWalker
%attr(755,root,root) %{perl_vendorarch}/auto/PadWalker/PadWalker.so
%{_mandir}/man3/PadWalker.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PadWalker.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 6dd74e0
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 13bc8eb
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 7e97cd8
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 13354df
- rebuild with perl 5.34.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 2a69e53
- updated to 2.5

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 43e32a5
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fedf075
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 65be2fa
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 706403a
- updated to 2.3

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b4759e8
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 64bc74c
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> c92adff
- verbose files

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 95e0843
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> d1d46b7
- up to 2.2

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 44134d6
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b54edb0
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1329744
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 29 2014 Adam Osuchowski <adwol@pld-linux.org> 86dadbe
- up to 1.99

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 9a58b27
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a3b24ee
- removed zero-sized .bs file

